

function showHRModal(customer_order_plan_data_id, product_primary_id) {
    clearAllocatedHRTable();
    CUSTOMER_ORDER_PLAN_DATA_ID = customer_order_plan_data_id;
    showAllocateHRModal(customer_order_plan_data_id, product_primary_id);


}



function clearAllocatedHRTable() {
    $('#tblAllocateHR').empty();
}

function showAllocateHRModal(customer_order_plan_data_id, product_primary_id) {
    FG_PRODUCT_ID = product_primary_id;
    getMachineryShifts(customer_order_plan_data_id);
    getSelectedProductHRData(customer_order_plan_data_id, product_primary_id);

    getProductionTeam();
    getSaveProductionTeam();
    $('#allocateHRModal').modal('show');
}

function getSelectedProductHRData(customer_order_plan_data_id, product_primary_id) {
    $.ajax({
        type: 'GET',
        url: '/pp/allocateMachine/getSelectedProductData/' + customer_order_plan_data_id + "/" + product_primary_id + "/0",
        async: false,
        success: function (response) {
            console.log(response.data.result);
            if (response.data.success) {
                $('#lblHRProductCode').text(": " + response.data.result.product_code);
                $('#lblHRProductName').text(": " + response.data.result.product_name);
                $('#lblHRFactoryPO').text(": " + response.data.result.factory_po);
                $('#lblHRCustomerPO').text(": " + response.data.result.customer_po);
                $('#lblHRProductionQty').text(": " + response.data.result.quantity);
                $('#lblHRAllocateQty').text(": " + response.data.result.allocated_quantity);
                //FG_PRODUCT_ID = response.data.result.product_id;
                //getAllocatedHRData(response.data.result.product_id);
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }
    });
}





function getProductionTeam() {
    $.ajax({
        type: 'GET',
        url: '/pp/allocateMachine/getProductionTeam',
        async: false,
        success: function (response) {
            console.log(response.data.result);
            if (response.data.success) {
                var data = response.data.result;
                $('#tblAllocateHR').empty();
                for (var i = 0; i < data.length; i++) {
                    var lbl_id = "lblDesignation" + i;
                    var string_lbl_id = "'" + lbl_id + "'";
                    var txt_id = "txtNO_H" + i;
                    var string_txt_id = "'" + txt_id + "'";
                    $('#tblAllocateHR').append('<tr><td><label id="' + lbl_id + '" data-id="' + data[i].designation_id + '">' + data[i].designation + '</label></td><td style="width:100px"><input type="text" class="form-control" id="' + string_txt_id + '" style="width:100px"></td></tr>');
                }
            }

        },
        error: function (data) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }
    });
}



function getSaveProductionTeam() {


    $.ajax({
        type: 'GET',
        url: '/pp/allocateMachine/getSaveProductionTeam/' + CUSTOMER_ORDER_PLAN_DATA_ID + "/" + FG_PRODUCT_ID + "/" + $('#cmbShiftHR').val(),
        async: false,
        success: function (response) {
            console.log(response.data.result);
            if (response.data.success) {
                var data = response.data.result;
                $('#tblAllocateHR').empty();
                if (data.length > 0) {
                    for (var i = 0; i < data.length; i++) {
                        var lbl_id = "lblDesignation" + i;
                        var string_lbl_id = "'" + lbl_id + "'";
                        var txt_id = "txtNO_H" + i;
                        var string_txt_id = "'" + txt_id + "'";
                        $('#cmbShiftHR').val(data[i].shift_id).change();
                        $('#tblAllocateHR').append('<tr><td><label id="' + lbl_id + '" data-id="' + data[i].designation_id + '">' + data[i].designation + '</label></td><td style="width:100px"><input type="text" class="form-control" id="' + string_txt_id + '" style="width:100px" value="' + data[i].no_of_heads + '"></td></tr>');
                    }
                } else {
                    getProductionTeam();
                }
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }
    });
}




function dataSourceHR() {

    var collection = {};
    var table = document.getElementById('tblAllocateHR'),
        rows = table.getElementsByTagName('tr'),
        i, j, cells, customerId;

    for (i = 0, j = rows.length; i < j; ++i) {
        cells = rows[i].getElementsByTagName('td');
        if (!cells.length) {
            continue;
        }
        var data = {
            "designation_id": $('#' + cells[0].childNodes[0].id).attr("data-id"),
            "no_of_heads": cells[1].childNodes[0].value,
        };
        collection[i] = JSON.stringify(data);





    }
    console.log(collection);
    return collection;

};


function saveAllocateToHR() {

    $.ajax({
        type: "POST",
        url: '/pp/allocateMachine/saveAllocateToHR',
        data: {
            "customer_order_plan_data_id": CUSTOMER_ORDER_PLAN_DATA_ID,
            "fg_product_id": FG_PRODUCT_ID,
            "shift_id": $('#cmbShiftHR').val(),
            'data': dataSourceHR(),
        },
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        timeout: 800000,
        beforeSend: function () {
        },
        success: function (response) {
            console.log(response);
            if (response.data.success) {
                showSuccessMessage('Data has been saved successful');
                clearAllocatedHRTable();
                $('#allocateHRModal').modal('hide');
            } else {
                showErrorMessage();
            }

        },
        error: function (error) {
            console.log(error);
            toastr.error('Something went wrong');
        },
        complete: function () {
        }

    });
}



function getMachineryShifts(customer_order_plan_data_id) {
    $.ajax({
        type: 'GET',
        url: '/pp/allocateMachine/getMachineryShifts/' + customer_order_plan_data_id,
        async: false,
        success: function (response) {
            console.log(response.data.result);
            if (response.data.success) {
                var array = response.data.result;
                $('#cmbShiftHR').empty();
                for (var i = 0; i < array.length; i++) {
                    $('#cmbShiftHR').append('<option value="' + array[i].shift_id + '">' + array[i].shift_name + '</option>');
                }
            }

        },
        error: function (error) {
            console.log(error);
            showErrorMessage();
        },
        complete: function () {

        }
    });
}